# -*- coding: utf-8 -*-
"""Das Programm gibt immer wieder eine zufällige Zahl
zwischen 1 und n aus und wartet dann darauf, dass
der Benutzer die entsprechende Zifferntaste drückt.
Die Zeiten schreibt das Programm mit. Fehleingaben
ignoriert es. Beendet wird es durch Eingabe
des Buchstaben e. Zum Testen des Gesetzes von Hick
müsste man Testläufe mit verschiedenen n machen und
zunächst jeweils die Auge-Hand-Koordination trainieren.
Das Programm läuft nur im Terminalfenster unter Windows."""

import sys
import random
import time
import locale
import msvcrt

n = 9
d = []
t1 = time.clock()
first = True

while True:
    x = random.randint(1, n)
    print(x)
    a = msvcrt.getch().decode("UTF-8")
    if a == "e":
        break
    t2 = time.clock()
    if not first:
        if a == str(x):
            d.append(t2-t1)
        else:
            print("Falsch")    
    first = False
    t1 = t2

locale.setlocale(locale.LC_ALL, "")
f = open("hick" + str(n) + ".csv", "w")
for v in d:
    f.write(locale.str(v)+"\n")
f.close()

sys.exit(0)